Christian
Beer
djangofett@gmx.net
Frank
Thomas
frank@thomas-alfeld.de
2007
2013
University of California
&date;
&boincmgr;
1

# &boincmgr;

The graphical BOINC manager for the client.

          &cmd_boincmgr;
          --verbose
          -a
          -e client_dir
          -d data_dir
          -n hostname
          -g port
          -p passwd
          -b BOINC_ARGS
          -i
          -c
          -m

          &cmd_boincmgr;

            -h
            --help

## DESCRIPTION

The BOINC manager (&cmd_boincmgr;) is a graphical controlling and monitoring utility for the BOINC client (&man_boinc;). It communicates with a running client using port &rpc_port; over TCP/IP. It can only connect to one client at a time.

## OPTIONS

`-h`, `--help`

  Show all options.

`--verbose`

  Generate verbose log messages.

`-a`, `--autostart`

  Tells the BOINC Manager that it was started by the operating system automatically. Use this if the Manager is started at login time.

`-e` client_dir, `--clientdir=`client_dir

  Directory containing the `locale` directory containing the Manager localisation files.

`-d` data_dir, `--datadir=`data_dir

  Directory containing the configuration files .

`-n` hostname, `--namehost=`hostname

  Hostname or IP address of client to which the manager should connect to.

`-g` port, `--gui_rpc_port=`port

  RPC port number used to communicate with the client. Has to be the same value as on the client (see &man_boinc;).

`-p` passwd, `--password=`passwd

  Use passwd as password for RPC authentication. If the current working directory contains a file `gui_rpc_auth.cfg`, &cmd_boincmgr; will read the password from this file.

`-b` BOINC_ARGS, `--boincargs=`BOINC_ARGS

  Startup the BOINC client with these optional arguments if necessary.

`-i`, `--insecure`

  Disable BOINC security users and permissions.

`-c`, `--checkskins`

  Set skin debugging mode to enable skin manager error messages.

`-m`, `--multiple`

  Allow multiple instances of BOINC manager on this host.

## SEE ALSO

&man_boinc;, &man_boinccmd;

## COPYRIGHT

Copyright © 2007-2013 University of California.

Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.